> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/issuing-card-api/business/card/physical-card/delivery-address/query-delivery-addresses.md).

# Query Delivery Addresses

### **Request URI** <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/card/query-delivery-addresses`

### **Request Body**

**Refer to :** [**common**](/reference/issuing-card-api/common.md)

**Biz\_data :**

<table><thead><tr><th width="209.7265625">Name</th><th width="144.83203125">Type</th><th>Description</th></tr></thead><tbody><tr><td>delivery_address_id</td><td>long</td><td>Delivery Address ID</td></tr><tr><td>start_date<mark style="color:red;">*</mark></td><td>string</td><td>Begin Time.Format:yyyy-MM-dd HH:mm:ss</td></tr><tr><td>end_date<mark style="color:red;">*</mark></td><td>string</td><td>End Time.Format: yyyy-MM-dd HH:mm:ss</td></tr><tr><td>page_num</td><td>integer</td><td>Default value: 1</td></tr><tr><td>page_size</td><td>integer</td><td>Default value: 10.Max value is 30</td></tr></tbody></table>

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "2079Bc5F-339E-8c32-E47D-E35c45db",
    "timestamp": "2025-04-07 13:56:55",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "delivery_address_id": 100017,
        "start_date": "2024-01-06 00:00:00",
        "end_date": "2025-09-12 00:00:00",
        "page_num": 1,
        "page_size": 30
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

<table><thead><tr><th width="188.32421875">Name</th><th width="147.52734375">Type</th><th>Description</th></tr></thead><tbody><tr><td>delivery_address_id</td><td>Long</td><td>Delivery Address ID</td></tr><tr><td>first_name</td><td>string(64)</td><td>First Name</td></tr><tr><td>last_name</td><td>string(64)</td><td>Last Name</td></tr><tr><td>mobile</td><td>string</td><td>Mobile</td></tr><tr><td>email</td><td>string</td><td>Email</td></tr><tr><td>line</td><td>string(128)</td><td>The first line of the address.</td></tr><tr><td>line2</td><td>string(128)</td><td>The second line of the address.</td></tr><tr><td>postal_code</td><td>string(4-8)</td><td>The address zip code, or postal code</td></tr><tr><td>city_name</td><td>string(4-80)</td><td>The address city</td></tr><tr><td>state</td><td>string(4-48)</td><td>The address state</td></tr><tr><td>country_code</td><td>string(2)</td><td>Country code</td></tr></tbody></table>

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": [{

    }]
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}
